.map-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 80%;
  margin: 40px auto;
  background-color: #c1d3ae;
  border-radius: 30px;
  box-shadow: 0 10px 60px rgba(0, 0, 0, 0.5);
  padding: 30px;
  box-sizing: border-box;
  max-width: 1400px;
}
.mapy h1{
  font-size: 40px;
  font-weight: 600;
  color: rgb(0, 0, 0);
  display: flex;
  text-align: center;
  justify-content: center;
  }
  .mapy h2{
  font-size: 20px;
  color: rgb(87, 87, 87);
  display: flex;
  text-align: center;
  justify-content: center;
  font-weight: 500;
}

.left-panel {
  width: 60%;
  display: flex;
  flex-direction: column;
}
.right-panel {
  width: 40%;
}
.filter-bar {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  margin-bottom: 30px;
}
.filter-bar button {
  background-color: #e0e0e0;
  border: none;
  padding: 12px 24px;
  font-size: 16px;
  border-radius: 8px;
  cursor: pointer;
  transition: all 0.3s ease;
}
.filter-bar button:hover {
    font-size: 18px;
}
.filter-bar button.active {
  background-color: rgb(255, 255, 255);
  color: black;
  font-size: 18px;
}
.schools{
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  max-height: 400px;
  overflow-y: auto;
  padding-right: 5px;
}
.school {
  flex: 0 1 calc(50% - 10px);
  background-color: #f2f2f2;
  padding: 10px;
  border-radius: 10px;
  transition: all 0.3s;
  box-sizing: border-box;
  font-size: 16px;
  font-weight: 500;
}
.school p{
  font-size: 14px;
  color: gray;
  margin: 0 0;
}
.school:hover{
  background-color: #b9afaf;
  cursor: pointer;
}
.map {
  width: 100%;
  height: 400px;
  border-radius: 20px;
  z-index: 0;
}
@media (max-width:550px){
  .mapy h1{
    font-size: 28px;
  }
  .mapy h2{
    font-size: 16px;
    padding: 0 20px;
  }
}
@media (min-width:800px) and (max-width:1200px){
  .map-container{
    width: 95%;
  }
}
  